diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -1,186 +1,169 @@
 /*
  * File: main-ros.c
- * StrongED$Mode=C
+ *
+ * Abstract: Support for RISC OS versions of Angband, including support
+ * for multitasking and dynamic areas.
+ *
+ * Authors: Musus Umbra, Andrew Sidwell, Ben Harrison, and others.
+ *
+ * Licences: Angband licence.
  */
 
 #ifdef __riscos
-#define PORTVERSION	"1.26 (02 Sep 1999)"	/* for the info box */
+
+#include "angband.h"
 
 /*
- * Copyright (c) 1997/8/9 Musus Umbra, Ben Harrison, and others
+ * Purpose: Support for RISC OS Angband 2.9.x onwards (and variants)
+ *
+ * NB: This code is still under continuous development - if you want to use
+ * it for your own compilation/variant, please contact me so that I can
+ * keep you up to date and give you support :)
+ *
+ * Prerequisites to compiling:
  *
- * This software may be copied and distributed for educational, research,
- * and not for profit purposes provided that this copyright and statement
- * are included in all such copies.
+ * DeskLib 2.30 or later  (earlier versions may be OK though)
  *
+ * An ANSI C compiler (tested with Acorn's C/C++ and GCC, but should be OK
+ *                     with any decent compiler)
+ *
+ * My binary distribution (for the templates and other bits)
+ *
+ * Note:
+ *   The following symbols are *required* and *must* be defined properly.
  */
 
 /*
- | Purpose: Support for RISC OS Angband (and variants)
- |
- | Author: Musus Umbra <musus@argonet.co.uk>
- |
- | NB: This code is still under continuous development - if you want to use
- | it for your own compilation/variant, please contact me so that I can
- | keep you up to date and give you support :)
- |
- | Prerequisites to compiling:
- |
- |     DeskLib 2.30 or later  (earlier versions may be OK though)
- |
- |     An ANSI C compiler     (tested with Acorn's C/C++ and GCC, but should
- |                            be OK with any decent compiler)
- |
- |     My binary distribution (for the templates and other bits)
- |
- |     A suitable "!!Variant.h" file for the variant being compiled;
- |     this should simply #define the appropriate symbols.
- |
- | NB: The following symbols are *required* and *must* be defined properly:
- | ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- |
- | VARIANT		Name of this game eg. "Angband", "Zangband", etc.
- |				Note that this *must* match the entry in the !Variant Obey file
- |				and also that it must only contain characters that are valid as
- |				part of a RISC OS path variable, eg. "Yin-Yangband" is NOT okay.
- |
- | VERSION		Version num (and optionally the date) eg. "2.8.3" or "2.8.3 (06 Feb 1998)"
- | AUTHORS		For the info box eg. "Ben Harrison"
- | PORTERS		for the info box eg. "Musus Umbra"
- |
- | VFILETYPE	filetype of saved games eg. 0x118
- | 				As of rel 1.18 this may be overridden by supplying
- | 				a 3 digit hex number on the command line, eg.
- | 				"... -T118 ..."
- |
- | RESPATH		Resource path variable eg. "Angband$Path"
- |				This should be defined as VARIANT"$Path" unless you've
- |				altered my standard !Run file for some reason.
- |
- | RESDIR		Where templates are, eg. "Angband" ($Dir is assumed)
- |				Again, this should be defined as VARIANT unless !Run
- |				has been modified accordingly.
- |
- | ICONNAME		iconbar icon sprite name eg. "!angband"
- |
- | SOUNDPATH	Path to sound samples, eg. "AngbandSound:"
- |				Yet again, this should be defined as VARIANT unless !Run
- |				and/or !Angsound has been modified accordingly.
- |
- |
- | The following symbols may be required, depending on the variant itself:
- | ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- |
- | PDEADCHK				should expand to an expression that is true if the
- |						player is dead (eg. (p_ptr->is_dead) for Angband
- |						or (!alive || dead) for Zang220).
- |						If this isn't defined then (p_ptr->is_dead) will be
- |						used.
+ * VARIANT & VERSION
+ *   These two get variant and version data from Angband itself; older
+ *   variants may not have these defined and will have to be altered.
+ */
+#define VARIANT		VERSION_NAME
+#define VERSION		VERSION_STRING
 
- |
- | The following symbols control the (optional) file-cache:
- | ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+/*
+ * PORTVERSION
+ *   This is the port version; it appears in the infobox.
+ */
+#define PORTVERSION	"1.27 (2002-05-25)"
 
- | NB: Variants that don't repeatedly read any files whilst running
- | (eg. vanilla, sang, etc) should NOT define USE_FILECACHE, etc. as
- | it causes a non-negligable amount of code to be compiled in.
- |
- | NB: The file-cache functions require that some code in files.c is modified
- | to use the cached_* functions.  This should be utterly trivial.
- |
- | NB: The returned handle from cached_fopen() is almost certainly *NOT*
- | a |FILE*| (although it may be if the cache cannot accomodate the file).
- |
- | Therefore, you *MUST* ensure that any file opened with cached_fopen()
- | is only ever accessed via cached_fgets() and cached_fclose().
- |
- | Failure to do so will result in, ahem, unpleasantness.  Extreme
- | unpleasantness.  "Him fall down, go boom."
- |
- | This /may/ change in the near future (ie. to apply caching in a
- | transparent manner), so do keep a backup of files.c (and any other files
- | you modify).  You always keep backups anyway, don't you?  Don't you?!
- |
- | USE_FILECACHE		if defined then some caching functions will
- |						be compiled for use by the various get_rnd_line(), etc.
- |						in files.c.
- |
- |						This could probably also be used for files in lib/edit/
- |						although whether that's worth doing is debatable.
- |						(ISTR that an ealry Kamband repeatedly read a file from
- |						lib/edit when rolling up certain character classes).
- |
- | SMART_FILECACHE		SMARRT_FILECACHE causes lines beginning with '#' (and
- |						blank lines) to be discarded when caching files.  This
- |						should help Zangband 2.2.5+ but could cause trouble
- |						for other variants.
- |						If defined, this symbol causes the smart file cache
- |						option to be on by default.
- |
- | ABBR_FILECACHE		ABBR_FILECACHE causes data read into file-cache to
- |						be compressed (using a simple set of abbreviations)
- |						by default. This can be overridden using a command
- |						line option.
- |
- |						If this symbol is not defined then no compression
- |						code will be compiled and the user option will be
- |						ignored/unavailable.
- |
- |						(Irony: it's only really useful on old (ie.slow)
- |						machines on which the compression will suck speedwise).
+/*
+ * RISCOS_VARIANT
+ *  This must match the entry in the !Variant Obey file, and it must only
+ *  contain characters that are valid as part of a RISC OS path variable.
+ *  [eg. "Yin-Yangband" is not okay, "EyAngband" is.]
+ */
+#define RISCOS_VARIANT	"Angband"
 
+/*
+ * AUTHORS
+ *  For the info box. [eg. "Ben Harrison"]
+ */
+#define AUTHORS		"Robert Ruehlmann"
 
- |
- | The following symbols control the debugging options:
- | ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
- |
- | FE_DEBUG_INFO		If defined, some functions will be compiled to display
- |						some info. on the state of the front-end (accessible)
- |						from the '!' user menu.
- |
- |						NB: For actual releases you should NOT define this
- |						symbol since it causes a non-negligable amount of
- |						code/data to be sucked in.
+/*
+ * PORTERS
+ *  For the info box. [eg. "Musus Umbra"]
  */
+#define PORTERS		"Andrew Sidwell"
 
+/*
+ * ICONNAME
+ *  Iconbar icon sprite name eg. "!angband".  Note that this must be a valid
+ *  sprite name; it may need modifying for long variant names.
+ */
+#define ICONNAME	"!"RISCOS_VARIANT
 
-/* Constants, etc. ---------------------------------------------------------*/
+/*
+ * PDEADCHK
+ *   This should expand to an expression that is true if the player is dead.
+ *   [eg. (p_ptr->is_dead) for Angband or (!alive || dead) for some Zangbands]
+ */
 
-#include "!!Variant.h"
+#define PDEADCHK	(p_ptr->is_dead)
 
-/* Make FE_DEBUG_INFO into something we can use in boolean expressions */
-#ifdef FE_DEBUG_INFO
-#  define ALLOW_DEBUG_INFO 1
-#else
-#  define ALLOW_DEBUG_INFO 0
-#endif
+/*
+ * The following symbols control the (optional) file-cache:
+ * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+ * NB: Variants that don't repeatedly read any files whilst running
+ * (eg. vanilla, sang, etc) should NOT define USE_FILECACHE, etc. as
+ * it causes a non-negligable amount of code to be compiled in.
+ *
+ * NB: The file-cache functions require that some code in files.c is modified
+ * to use the cached_* functions.  This should be utterly trivial.
+ *
+ * NB: The returned handle from cached_fopen() is almost certainly *NOT*
+ * a |FILE*| (although it may be if the cache cannot accomodate the file).
+ *
+ * Therefore, you *MUST* ensure that any file opened with cached_fopen()
+ * is only ever accessed via cached_fgets() and cached_fclose().
+ *
+ * Failure to do so will result in, ahem, unpleasantness.  Extreme
+ * unpleasantness.  "Him fall down, go boom."
+ *
+ * This /may/ change in the near future (ie. to apply caching in a
+ * transparent manner), so do keep a backup of files.c (and any other files
+ * you modify).  You always keep backups anyway, don't you?  Don't you?!
+ */
 
-/* Deal with any un-defined (or odd) file-caching symbols */
-#ifdef USE_FILECACHE
-#  define ALLOW_USE_FILECACHE 1
-#else
-#  define ALLOW_USE_FILECACHE 0
-#  undef ABBR_FILECACHE
-#  undef SMART_FILECACHE
-#endif
+/*
+ * USE_FILECACHE
+ *   if defined then some caching functions will be compiled for use by the
+ *   various get_rnd_line(), etc. in files.c.  This could be used in a
+ *   variety of places that read data repeatedly, but it's up to you to
+ *   implement it then.
+ */
 
-#ifdef ABBR_FILECACHE
-#  define ALLOW_ABBR_FILECACHE 1
-#else
-#  define ALLOW_ABBR_FILECACHE 0
-#endif
-#ifdef SMART_FILECACHE
-#  define DEFAULT_SMART_FILECACHE 1
-#else
-#  define DEFAULT_SMART_FILECACHE 0
+/* #define USE_FILECACHE */
+
+/*
+ * SMART_FILECACHE
+ *   This causes lines beginning with '#' (and blank lines) to be discarded
+ *   when caching files.  This should help Zangband 2.2.5+ but could cause
+ *   trouble for other variants.  If defined, then smart file caching will be
+ *   on by default.
+ */
+
+/* #define SMART_FILECACHE */
+
+/*
+ * ABBR_FILECACHE
+ *   ABBR_FILECACHE causes data read into file-cache to be compressed (using a
+ *   simple set of abbreviations) by default.  This can be overridden using a
+ *   command line option.  If this symbol is not defined then no compression
+ *   code will be compiled and the user option will be ignored/unavailable.
+ */
+
+/* #define ABBR_FILECACHE */
+
+/*
+ * Note:
+ *   The following symbols control debugging information.
+ */
+
+/*
+ * FE_DEBUG_INFO
+ *  If defined, some functions will be compiled to display some info. on the
+ *  state of the front-end (accessible) from the '!' user menu.
+ *
+ *  NB: For actual releases you should NOT define this symbol since it causes
+ *  a non-negligable amount of code/data to be sucked in.
+ */
+/* #define FE_DEBUG_INFO */
+
+/* Constants, etc. ---------------------------------------------------------*/
+
+/* Deal with any weird file-caching symbols */
+#ifndef USE_FILECACHE
+# undef ABBR_FILECACHE
+# undef SMART_FILECACHE
 #endif
 
+/* Maximum terminals */
 #define MAX_TERM_DATA 8
 
-/*--------------------------------------------------------------------------*/
-
 /* Menu entry numbers */
 #define IBAR_MENU_INFO			0
 #define IBAR_MENU_SAVE			1
 #define IBAR_MENU_FULLSCREEN	2
 #define IBAR_MENU_GAMMA			3
@@ -220,12 +203,10 @@
 #define SOUND_VOL_MAX			176
 
 /*--------------------------------------------------------------------------*/
 
 
-
-#include "angband.h"
 #undef rename
 #undef remove
 
 #include "Desklib:Event.h"
 #include "Desklib:EventMsg.h"
@@ -287,89 +268,95 @@
 	union
 	{
 		unsigned int value;
 		struct
 		{
-			unsigned int vdu : 1;
-			unsigned int double_height : 1;
-			unsigned int extension : 1;
-			unsigned int padding : 29;
-		} bits;
-	} r_flags;
-
-	int		r_minx;		/* min x of redraw in pixels from LHS, incl */
-	int		r_miny;		/* min y of redraw in pixels from top, incl */
-	int		r_maxx;		/* max x of redraw in pixels from LHS, excl */
-	int		r_maxy;		/* max y of redraw in pixels from top, excl */
-
-	void	*r_screen;	/* DSA: address of screen to write to (0=>read) */
-	int		r_bpl;		/* DSA: bytes per raster line */
-
-	int		r_bpp;		/* log base 2 of bits per pixel */
-	int		r_charw;	/* width of a character in pixels */
-	int		r_charh;	/* height of a character in pixels */
-	void	*r_caddr;	/* DSA: ->character cache | VDU: ->font name */
-	int		r_cbpl;		/* DSA: #bytes/character line | VDU: x OS offset */
-	int		r_cbpc;		/* DSA: #bytes/character | VDU: y OS offset */
-
-	int		r_linesp;	/* line spacing (pixels) */
-
-	void	*r_data;	/* -> text to display */
-	int		r_scrollx;	/* see Redraw dox */
-	int		r_scrolly;	/* see Redraw dox */
-
-	void	*r_palette;	/* -> palette lookup table */
-	int		r_for;		/* foreground colour at start of line */
-	int		r_bac;		/* background colour at start of line */
-
-	void	*r_workarea;/* -> word aligned workspace */
+			unsigned int vdu:1;
+			unsigned int double_height:1;
+			unsigned int extension:1;
+			unsigned int padding:29;
+		}
+		bits;
+	}
+	r_flags;
+
+	int r_minx;	/* min x of redraw in pixels from LHS, incl */
+	int r_miny;	/* min y of redraw in pixels from top, incl */
+	int r_maxx;	/* max x of redraw in pixels from LHS, excl */
+	int r_maxy;	/* max y of redraw in pixels from top, excl */
+
+	void *r_screen;	/* DSA: address of screen to write to (0=>read) */
+	int r_bpl;	/* DSA: bytes per raster line */
 
-	int		r_magx;		/* log2 x OS coords per pixel */
-	int		r_magy;		/* log2 y OS coords per pixel */
+	int r_bpp;	/* log base 2 of bits per pixel */
+	int r_charw;	/* width of a character in pixels */
+	int r_charh;	/* height of a character in pixels */
+	void *r_caddr;	/* DSA: ->character cache | VDU: ->font name */
+	int r_cbpl;	/* DSA: #bytes/character line | VDU: x OS offset */
+	int r_cbpc;	/* DSA: #bytes/character | VDU: y OS offset */
 
-	int		r_xsize;	/* width of screen in pixels */
-	int		r_ysize;	/* height of screen in pixels */
+	int r_linesp;	/* line spacing (pixels) */
 
-	int		r_mode;		/* current screen mode */
-} ZapRedrawBlock;
+	void *r_data;	/* -> text to display */
+	int r_scrollx;	/* see Redraw dox */
+	int r_scrolly;	/* see Redraw dox */
+
+	void *r_palette;	/* -> palette lookup table */
+	int r_for;	/* foreground colour at start of line */
+	int r_bac;	/* background colour at start of line */
+
+	void *r_workarea;	/* -> word aligned workspace */
+
+	int r_magx;	/* log2 x OS coords per pixel */
+	int r_magy;	/* log2 y OS coords per pixel */
+
+	int r_xsize;	/* width of screen in pixels */
+	int r_ysize;	/* height of screen in pixels */
+
+	int r_mode;	/* current screen mode */
+}
+ZapRedrawBlock;
 
 
 /*
  | We cache font data using an array of 'font handles' (since there is a
  | known maximum no. of fonts required).
  | This is what a font 'handle' looks like:
  */
 typedef struct
 {
-	char	*name;			/* font name */
-	int		usage;			/* usage count */
-	int		w,h;			/* width, height */
-	int		f,l;			/* first and last character defined */
-	void	*bpp_1;			/* source bitmap */
-	void	*bpp_n;			/* bitmap for the current screen mode */
-} ZapFont;
+	char *name;	/* font name */
+	int usage;	/* usage count */
+	int w, h;	/* width, height */
+	int f, l;	/* first and last character defined */
+	void *bpp_1;	/* source bitmap */
+	void *bpp_n;	/* bitmap for the current screen mode */
+}
+ZapFont;
 
 /*
  | A struct to hold all the data relevant to a term window
  */
 typedef struct
 {
-	term			t;			/* The Term itself */
-	window_handle	w;			/* Window handle */
-	ZapFont			*font;		/* Font */
-	wimp_box		changed_box;/* Area out of date */
+	term t;	/* The Term itself */
+	window_handle w;	/* Window handle */
+	ZapFont *font;	/* Font */
+	wimp_box changed_box;	/* Area out of date */
 	struct
 	{
-		wimp_point	pos;		/* Cursor position */
-		BOOL		visible;	/* visibility flag */
-	} cursor;
-	char			name[12];	/* Name to give menus opened from the term */
-	int				def_open;	/* Open by default? */
-	wimp_box		def_pos;	/* default position */
-	wimp_point		def_scroll;	/* default scroll offset */
-	int				unopened;	/* Has this window not been opened yet? */
-} term_data;
+	wimp_point pos;	/* Cursor position */
+	BOOL visible;	/* visibility flag */
+	}
+	cursor;
+	char name[12];	/* Name to give menus opened from the term */
+	int def_open;	/* Open by default? */
+	wimp_box def_pos;	/* default position */
+	wimp_point def_scroll;	/* default scroll offset */
+	int unopened;	/* Has this window not been opened yet? */
+}
+term_data;
 
 
 
 /*--------------------------------------------------------------------------*/
 /* ZapRedraw SWI numbers													*/
@@ -408,23 +395,25 @@
 #define SWI_PlayIt_Volume 0x4d146
 
 
 
 /*--------------------------------------------------------------------------*
- | File scope variables                                                     |
+ | File scope variables													 |
  *--------------------------------------------------------------------------*/
-static int ftype = 0xffd;		/* hack so saved games get the right type */
-static int filehandle[16];		/* we keep track of open files with this */
-static int openfiles = 0;		/* how many files are currently open */
+static int ftype = 0xffd;	/* hack so saved games get the right type */
+static int filehandle[16];	/* we keep track of open files with this */
+static int openfiles = 0;	/* how many files are currently open */
 
 /*
  | Paths we use...
  */
-static char resource_path[260] = "";		/* Path pointng to "!Angband.Lib." */
-static char scrap_path[260] = "";			/* Path to create scrap files on */
-static char choices_file[3][260] = { "","","" };	/* Choices paths (read/write, mirror, read) */
-static char alarm_file[2][260] = { "","" };			/* Alarm choices paths (read/write, mirror, read) */
+static char resource_path[260] = "";	/* Path pointng to "!Angband.Lib." */
+static char scrap_path[260] = "";	/* Path to create scrap files on */
+static char choices_file[3][260] =
+{ "", "", "" };	/* Choices paths (read/write, mirror, read) */
+static char alarm_file[2][260] =
+{ "", "" };	/* Alarm choices paths (read/write, mirror, read) */
 /*
  | So we can use something more meaningful later...
  | NB: Mirror is only meaningful for Choices and we don't
  | even reserve space for alarm_file[CHFILE_MIRROR].
  */
@@ -433,69 +422,70 @@
 #define CHFILE_MIRROR 2
 
 /*
  | Other 'globals':
  */
-static int initialised = 0;		/* Used to determine whether to try to save */
-static int game_in_progress = 0;/* if Quit (or core() is called),  etc. */
+static int initialised = 0;	/* Used to determine whether to try to save */
+static int game_in_progress = 0;	/* if Quit (or core() is called),  etc. */
 
-static byte a_palette[256][4];		/* a copy of the raw Angband palette */
+static byte a_palette[256][4];	/* a copy of the raw Angband palette */
 static unsigned int palette[256];	/* palette as gamma'd bbggrrxx words */
 static unsigned int zpalette[256];	/* And our version for ZapRedraw */
-static double gamma = 1.0;			/* assume gamma of 1.0 if unspecified */
+static double gamma = 1.0;	/* assume gamma of 1.0 if unspecified */
 
-static int enable_sound = 0;		/* enable sound FX */
-static int sound_volume = 127;		/* Full volume */
-static int force_mono = 0;			/* force monochrome */
+static int enable_sound = 0;	/* enable sound FX */
+static int sound_volume = 127;	/* Full volume */
+static int force_mono = 0;	/* force monochrome */
 static int start_fullscreen = 0;	/* start up full screen (added in 1.18) */
-static int hack_flush = 0;			/* Should TERM_XTRA_FLUSH wait for all keys to be released? */
-static int flush_scrap = 1;			/* Should any scrapfiles (incl. filecache) be deleted at exit? */
-static int max_file_cache_size = 64<<10;
-static unsigned int vfiletype = VFILETYPE;
+static int hack_flush = 0;	/* Should TERM_XTRA_FLUSH wait for all keys to be released? */
+static int flush_scrap = 1;	/* Should any scrapfiles (incl. filecache) be deleted at exit? */
+static int max_file_cache_size = 64 << 10;
+static unsigned int vfiletype;
 static int allow_iclear_hack = 0;	/* Allow the hideously evil Iclear workaround thing */
-static int alarm_type = 0;				/* is there an alarm set? */
+static int alarm_type = 0;	/* is there an alarm set? */
 static int alarm_h = 0, alarm_m = 0;	/* alarm time (midnight) */
-static char alarm_message[80] = "Time for bed!";		/* the message to give */
-static int alarm_disp = 0;				/* is the alarm being displayed? */
-static int alarm_beep = 0;				/* should be beep? */
-static char *alarm_types[] = { "Off", "On (one-shot)", "On (repeating)", "On (one-shot)" };
+static char alarm_message[80] = "Time for bed!";	/* the message to give */
+static int alarm_disp = 0;	/* is the alarm being displayed? */
+static int alarm_beep = 0;	/* should be beep? */
+static char *alarm_types[] =
+{ "Off", "On (one-shot)", "On (repeating)", "On (one-shot)" };
 
 
 /* A little macro to save some typing later: */
 #define COLOUR_CHANGED(x) \
 	( (angband_color_table[x][1]!=a_palette[x][1]) || \
 	  (angband_color_table[x][2]!=a_palette[x][2]) || \
 	  (angband_color_table[x][3]!=a_palette[x][3]) )
 
-static int got_caret = 0;			/* Do we own the caret? */
-static int key_pressed = 0;			/* 'Key has been pressed' Flag */
-static int use_glass = 1;			/* use the hourglass between WimpPolls? */
-static int glass_on = 1;			/* is the hourglass on? */
+static int got_caret = 0;	/* Do we own the caret? */
+static int key_pressed = 0;	/* 'Key has been pressed' Flag */
+static int use_glass = 1;	/* use the hourglass between WimpPolls? */
+static int glass_on = 1;	/* is the hourglass on? */
 static int user_menu_active = FALSE;	/* set to TRUE when the user menu is active */
 
 /* Font system variables */
-static ZapFont fonts[MAX_TERM_DATA+1];	/* The +1 is for the system font */
+static ZapFont fonts[MAX_TERM_DATA + 1];	/* The +1 is for the system font */
 
 /* The system font is always font 0 */
 #define SYSTEM_FONT (&(fonts[0]))
 
 /* Term system variables */
 static term_data data[MAX_TERM_DATA];	/* One per term */
-static char r_data[24*(80*5+4)+25*4];	/* buffer for ZapRedraw data */
+static char r_data[24 * (80 * 5 + 4) + 25 * 4];	/* buffer for ZapRedraw data */
 
 /* Wimp variables */
-static icon_handle		ibar_icon;		/* Iconbar icon handle */
-static window_handle	info_box;		/* handle of the info window */
-static window_handle	gamma_win;		/* gamma correction window */
-static window_handle	sound_win;		/* sound options window */
-static window_handle	save_box;		/* The savebox */
-static menu_ptr			ibar_menu;		/* Iconbar menu */
-static menu_ptr			term_menu;		/* Term window menu */
-static menu_ptr			wind_menu;		/* windows (sub) menu */
-static menu_ptr			font_menu;		/* Font (sub)menu */
+static icon_handle ibar_icon;	/* Iconbar icon handle */
+static window_handle info_box;	/* handle of the info window */
+static window_handle gamma_win;	/* gamma correction window */
+static window_handle sound_win;	/* sound options window */
+static window_handle save_box;	/* The savebox */
+static menu_ptr ibar_menu;	/* Iconbar menu */
+static menu_ptr term_menu;	/* Term window menu */
+static menu_ptr wind_menu;	/* windows (sub) menu */
+static menu_ptr font_menu;	/* Font (sub)menu */
 
-static save_saveblock	*saveblk = NULL;	/* For the save box */
+static save_saveblock *saveblk = NULL;	/* For the save box */
 
 /* List of Wimp messages we want to be given */
 static int message_list[] =
 {
 	message_MODECHANGE,
@@ -508,134 +498,134 @@
 	message_PREQUIT,
 	0
 };
 
 
-static term_data		*menu_term;		/* term the last menu was opened for */
+static term_data *menu_term;	/* term the last menu was opened for */
 
-static ZapRedrawBlock	zrb;			/* a redraw block */
+static ZapRedrawBlock zrb;	/* a redraw block */
 
 /* Cursor colour */
-#define CURSOR_COLOUR	255				/* Cursor's Angband colour */
-#define CURSOR_RGB		0x00ffff00		/* if undefined, use bbggrrxx */
+#define CURSOR_COLOUR	255		/* Cursor's Angband colour */
+#define CURSOR_RGB		0x00ffff00	/* if undefined, use bbggrrxx */
 
-static int cursor_rgb = -1;				/* colour to use for cursor */
+static int cursor_rgb = -1;	/* colour to use for cursor */
 
-static int  fullscreen_mode = 0;		/* screen mode in use */
-static int  old_screenmode  = 0;		/* Mode we started out in */
-static int *fullscreen_font = 0;		/* font data for fullscreen use */
-static int *fullscreen_base = 0;		/* base address of screen */
-static int  fullscreen_height;			/* height of the fullscreen font */
-static int  fullscreen_topline;			/* raster offset of fullscreen */
-
-#define KEYPRESS_QUIT	0x1cc			/* f12 gets back to the desktop */
-#define TERM_TOPLINE_HR 32				/* vertical pixel offset in mode 27 */
-#define TERM_TOPLINE_LR 16				/* vertical pixel offset in mode 12 */
-#define TIME_LINE       26				/* Line to display the clock on */
+static int fullscreen_mode = 0;	/* screen mode in use */
+static int old_screenmode = 0;	/* Mode we started out in */
+static int *fullscreen_font = 0;	/* font data for fullscreen use */
+static int *fullscreen_base = 0;	/* base address of screen */
+static int fullscreen_height;	/* height of the fullscreen font */
+static int fullscreen_topline;	/* raster offset of fullscreen */
+
+#define KEYPRESS_QUIT    0x1cc	/* F12 gets back to the desktop */
+#define TERM_TOPLINE_HR  32		/* vertical pixel offset in mode 27 */
+#define TERM_TOPLINE_LR  16		/* vertical pixel offset in mode 12 */
+#define TIME_LINE        26		/* Line to display the clock on */
 
 /* text to display at the bottom left of the fullscreen display */
 static char *fs_quit_key_text = "Press f12 to return to the desktop";
 static char *alarm_cancel_text = "(Press ^Escape to cancel the alarm)";
 
-#ifndef PDEADCHK
-#define PDEADCHK \
-	(p_ptr->is_dead)
+/* Debugging flags, etc. */
+static int log_g_malloc = 0;	/* Log calls to ralloc, etc */
+static int show_sound_alloc = 0;	/* Log sound mappings, etc */
+
+/* Activate file caching? */
+#ifdef USE_FILECACHE
+static int use_filecache = TRUE;
+#else
+static int use_filecache = FALSE;
 #endif
 
-/* Debugging flags, etc. */
-static int log_g_malloc = 0;							/* Log calls to ralloc, etc */
-static int show_sound_alloc = 0;						/* Log sound mappings, etc */
-static int abbr_filecache = ALLOW_ABBR_FILECACHE;		/* compress text in the file-cache? */
-static int abbr_tmpfile = 1;							/* Cache compressed files on disc? */
-static int smart_filecache = DEFAULT_SMART_FILECACHE;	/* skip non-useful lines? */
-static int use_filecache = ALLOW_USE_FILECACHE;			/* Activate file caching? */
-static int minimise_memory = 0;							/* Cripple some things to save memory */
+/* Cripple some things to save memory */
+static int minimise_memory = 0;
 
 /* Forward declarations of some of the Full Screen Mode stuff */
-static void enter_fullscreen_mode( void );
-static void leave_fullscreen_mode( void );
-static void set_keys( int claim );
+static void enter_fullscreen_mode(void);
+static void leave_fullscreen_mode(void);
+static void set_keys(int claim);
 
 /* Forwards declarations of the sound stuff */
-static void initialise_sound( void );
-static void play_sound( int event );
+static void initialise_sound(void);
+static void play_sound(int event);
 
 /* Forward declarations of Term hooks, etc. */
-static errr Term_curs_acn( int x, int y );
+static errr Term_curs_acn(int x, int y);
 static errr Term_curs_acnFS(int x, int y);
-static void Term_init_acn( term *t );
-static errr Term_text_acn( int x, int y, int n, byte a, cptr s );
+static void Term_init_acn(term *t);
+static errr Term_text_acn(int x, int y, int n, byte a, cptr s);
 static errr Term_text_acnFS(int x, int y, int n, byte a, cptr s);
-static errr Term_user_acn( int n );
-static errr Term_wipe_acn( int x, int y, int n );
+static errr Term_user_acn(int n);
+static errr Term_wipe_acn(int x, int y, int n);
 static errr Term_wipe_acnFS(int x, int y, int n);
 static errr Term_xtra_acn(int n, int v);
 static errr Term_xtra_acnFS(int n, int v);
-static errr Term_xtra_acn_check( void );
+static errr Term_xtra_acn_check(void);
 static errr Term_xtra_acn_checkFS(void);
-static errr Term_xtra_acn_clearFS( void );
-static errr Term_xtra_acn_event( void );
+static errr Term_xtra_acn_clearFS(void);
+static errr Term_xtra_acn_event(void);
 static errr Term_xtra_acn_eventFS(void);
-static errr Term_xtra_acn_react( void );
+static errr Term_xtra_acn_react(void);
 static errr Term_xtra_acn_reactFS(int force);
 
 
 /* Forward declarations of the memory stuff */
-static void init_memory( int, int );
+static void init_memory(int, int);
 
 
 /* Forward declarations of the alarm stuff */
-static void check_alarm( BOOL desktop );
-static void trigger_alarm_desktop( void );
-static void ack_alarm( void );
-static void write_alarm_choices( void );
-static void read_alarm_choices( void );
+static void check_alarm(BOOL desktop);
+static void trigger_alarm_desktop(void);
+static void ack_alarm(void);
+static void write_alarm_choices(void);
+static void read_alarm_choices(void);
 
 
 /* This just shows some debugging info (if enabled with FE_DEBUG_INFO) */
-static void show_debug_info( void );
+static void show_debug_info(void);
 
 
 
 /* File-caching functions (if enabled at compile time) */
 #ifdef USE_FILECACHE
-FILE *cached_fopen( char *name, char *mode );
-errr cached_fclose( FILE *fch );
-errr cached_fgets( FILE *fch, char *buffer, int max_len );
+FILE *cached_fopen(char *name, char *mode);
+errr cached_fclose(FILE *fch);
+errr cached_fgets(FILE *fch, char *buffer, int max_len);
 #endif
 
 /*
  | These functions act as malloc/free, but (if possible) using memory
  | in the 'Game' Dynamic Area created by init_memory()
  | We attach these functions to the ralloc_aux and rnfree_aux hooks
  | that z-virt.c provides.
  */
-static vptr g_malloc( huge size );
-static vptr g_free( vptr blk );
+static vptr g_malloc(huge size);
+static vptr g_free(vptr blk);
 
 
 /*
  | These functions act as malloc/free, but (if possible) using memory
  | in the 'Fonts' Dynamic Area created by init_memory()
  */
-static void *f_malloc( size_t size );
-static void f_free( void *blk );
+static void *f_malloc(size_t size);
+static void f_free(void *blk);
 
 
 /*
  | These two functions perpetrate great evil to stop IClear from mucking
  | with the cursor keys in fullscreen mode.
  */
-static void iclear_hack( void );
-static void remove_iclear_hack( void );
+static void iclear_hack(void);
+static void remove_iclear_hack(void);
 
 /*
  | We use this to locate the choices file(s)...
  */
-static char *find_choices( int write );
-static char *find_choices_mirror( void );
-static char *find_alarmfile( int write );
+static char *find_choices(int write);
+static char *find_choices_mirror(void);
+static char *find_alarmfile(int write);
 
 
 
 /*
  | This function is supplied as a wrapper to the save_player function.
